org.apache.solr.client.solrj.io.ops

## Class GroupOperation

- java.lang.Object
- - org.apache.solr.client.solrj.io.ops.GroupOperation

All Implemented Interfaces:
  Serializable, ReduceOperation, StreamOperation, Expressible

    public class GroupOperation
    extends Object
    implements ReduceOperation

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GroupOperation(StreamComparator streamComparator, int size)`
`GroupOperation(StreamExpression expression, StreamFactory factory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `operate(Tuple tuple)`
`Tuple` `reduce()`
`StreamExpressionParameter` `toExpression(StreamFactory factory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GroupOperation

    public GroupOperation(StreamExpression expression,
                          StreamFactory factory)
                   throws IOException

Throws:
  `IOException`

#### GroupOperation

    public GroupOperation(StreamComparator streamComparator,
                          int size)

### Method Detail

#### toExpression

    public StreamExpressionParameter toExpression(StreamFactory factory)
                                           throws IOException

Specified by:
  `toExpression` in interface `Expressible`
Throws:
  `IOException`

#### reduce

    public Tuple reduce()

Specified by:
  `reduce` in interface `ReduceOperation`

#### operate

    public void operate(Tuple tuple)

Specified by:
  `operate` in interface `StreamOperation`